//
// Description:
//  Macros, functions, and other miscellany for the purpose of debugging the
//  simulator.
//

// $Id: nasdsim_debug.h,v 1.3 2000/05/07 22:50:51 bforney Exp $

#if !defined(NASDSIM_DEBUG_H)
#define NASDSIM_DEBUG_H

#if defined(DEBUG) || defined(ASSERTS)
#include <assert.h>
#define ASSERT(x) assert(x)
#else
#define ASSERT(x)
#endif // defined(DEBUG)

#endif // !defined(NASDSIM_DEBUG_H)
